J'utilise AMC depuis janvier et cela fonctionne très bien pour le moment. Avec l'usage, je teste de nouvelles 
fonctionnalités et je bloque sur les 3 points suivants. J'ai un examen mardi prochain...

h3. QUESTION 1

Je voudrais insérer un delta dans une question, mais comme j'ignore le language latex, sans doute je me 
trompe. Voici la question :
<pre>
\element{groupe08}{

\begin{questionmult}{q08c}\bareme{p=-0.5,MAX=1}   
 Cocher les formules correctes (var signifie une variation absolue)
         \begin{reponses}
    \bonne{RT = P*Q}\bareme{b=0.25,m=-0.25}
    \bonne{Rm = \Delta RT/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{RT = \Delta Rm/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{Rm = \Delta Q/ \Delta RT}\bareme{b=0.25,m=-0.25}
  \end{reponses}
 \end{questionmult}
}
</pre>

Pouvez-vous me dire pourquoi il y a une erreur dans la compilation du sujet ?

h3. QUESTION 2

Par ailleurs, j'ai un autre problème. Je propose 5 variantes d'exercices pour de l'optimisation en économie. 
Or, ce que je voudrais est de pouvoir avoir 5 questions pour chaque variante et que chaque sujet puisse 
choisir une seule variante. 
Dit autrement, supposons que j'ai 5 exercices équivalents X1, X2, X3, X4, X5. Dans chaque sujet, j'ai 6 
questions ainsi, j'ai X1,1 X1,2 X1,3 X1,4 X1,5 et X1,6 pour le premier sujet. Ainsi de suite pour chaque 
variante.
Savez-vous comment je pourrais faire pour qu'il n'y ait qu'une seule variante par sujet (donc qui reprendrait 
les 6 questions). 

Voici ci-dessous un exemple d'exercice :

<pre>
\element{groupe10}{
 \begin{question}{q10a}
  On suppose la fonction d'utilité suivante : S(X,Y)= (1+X)Y \\
Par ailleurs, le ménage s'alloue un budget de 50 euros pour les deux biens. \\
Les prix respectifs des biens 1 et 2 sont de 2 et 1 euros.\\
Ecrire ci-dessous le programme de maximisation du consommateur.
  \def\AMCotextReserved{\emph{Réservé-A}}
 \AMCOpen{lines=3, 
lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

 \element{groupe10}{
 \begin{question}{q10b}
  Ecrire ci-dessous l'équation de Lagrange
  \def\AMCotextReserved{\emph{Réservé}}
 \AMCOpen{lines=3, 
lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

 \element{groupe10}{
 \begin{question}{q10c}
  Présenter et résoudre les conditions de premier ordre. Bien mettre en évidence les dérivées partielles ainsi 
que la méthode de résolution du système. 
  \def\AMCotextReserved{\emph{Réservé}}
 \AMCOpen{lines=10, 
lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10d}
  Indiquez ci-dessous la solution trouvée pour X.\\
 \small{Ne mettre que le nombre entier le plus proche, sans les décimales. Si votre solution est X = 3,9, il faut 
noircir le "0" de la première ligne puis le "3" de la deuxième. Si votre solution est X = 12,2, il faut noircir le "1" 
de la première ligne et le "2" de la seconde.}
 \AMCnumericChoices{5}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10e}
  Indiquez ci-dessous la solution trouvée pour Y.\\
 \small{Ne mettre que le nombre entier, sans les décimales. Si votre solution est Y = 3.3, il faut noircir le "0" 
de la première ligne puis le "3" de la deuxième. Si votre solution est Y = 11.8, il faut noircir le "1" de la 
première ligne et le "1" de la seconde.}
 \AMCnumericChoices{2}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

\element{groupe10}{
 \begin{question}{q10f}
  Prouvez que les solutions trouvées correspondent bien à un maximum. Détaillez le calcul du déterminant de 
la matrice Hessienne.
  \def\AMCotextReserved{\emph{Réservé}}
 \AMCOpen{lines=10, 
lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

\element{groupe10}{
 \begin{question}{q10g}
  Calculez l'utilité maximale obtenue à l'optimum.
  \def\AMCotextReserved{\emph{Réservé}}
 \AMCOpen{lines=3, 
lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}
</pre>

h3. QUESTION 3

je crains que ce ne soit pas encore possible, mais sait-on jamais, est-il possible d'avoir un barème plus précis 
que les seules possibilités "faux" "partiel" "bon" dans les questions ouvertes ? L'idéal serait d'avoir 6 cases de 
0 à 5 où l'on pourrait différencier une réponse proche du faux d'une réponse proche du correct.

En vous remerciant pour votre aide.

Nadir Altinok

History
03/23/2013 10:48 am - Alexis Bienvenüe
- Description changed from Bonjour,
J'utilise AMC depuis janvier et cela fonctionne trÃ¨s bien pour le moment. Avec l'usage, je teste de nouvelles fonctionnalitÃ©s et je bloque sur les 3 
points suivants. J'ai un examen mardi prochain...
QUESTION 1. Je voudrais insÃ©rer un delta dans une question, mais comme j'ignore le language latex, sans doute je me trompe. Voici la question :
\element{groupe08}{

\begin{questionmult}{q08c}\bareme{p=-0.5,MAX=1}   
 Cocher les formules correctes (var signifie une variation absolue)
         \begin{reponses}
    \bonne{RT = P*Q}\bareme{b=0.25,m=-0.25}
    \bonne{Rm = \Delta RT/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{RT = \Delta Rm/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{Rm = \Delta Q/ \Delta RT}\bareme{b=0.25,m=-0.25}
  \end{reponses}
 \end{questionmult}
}

Pouvez-vous me dire pourquoi il y a une erreur dans la compilation du sujet ?

QUESTION 2. Par ailleurs, j'ai un autre problÃ¨me. Je propose 5 variantes d'exercices pour de l'optimisation en Ã©conomie. Or, ce que je voudrais est 
de pouvoir avoir 5 questions pour chaque variante et que chaque sujet puisse choisir une seule variante. 
Dit autrement, supposons que j'ai 5 exercices Ã©quivalents X1, X2, X3, X4, X5. Dans chaque sujet, j'ai 6 questions ainsi, j'ai X1,1 X1,2 X1,3 X1,4 X1,5 
et X1,6 pour le premier sujet. Ainsi de suite pour chaque variante.
Savez-vous comment je pourrais faire pour qu'il n'y ait qu'une seule variante par sujet (donc qui reprendrait les 6 questions). 

Voici ci-dessous un exemple d'exercice :

\element{groupe10}{
 \begin{question}{q10a}
  On suppose la fonction d'utilitÃ© suivante : S(X,Y)= (1+X)Y \\
Par ailleurs, le mÃ©nage s'alloue un budget de 50 euros pour les deux biens. \\
Les prix respectifs des biens 1 et 2 sont de 2 et 1 euros.\\
Ecrire ci-dessous le programme de maximisation du consommateur.
  \def\AMCotextReserved{\emph{RÃ©servÃ©-A}}
 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

 \element{groupe10}{
 \begin{question}{q10b}
  Ecrire ci-dessous l'Ã©quation de Lagrange
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}
 \element{groupe10}{
 \begin{question}{q10c}
  PrÃ©senter et rÃ©soudre les conditions de premier ordre. Bien mettre en Ã©vidence les dÃ©rivÃ©es partielles ainsi que la mÃ©thode de rÃ©solution 
du systÃ¨me. 
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=10, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10d}
  Indiquez ci-dessous la solution trouvÃ©e pour X.\\
 \small{Ne mettre que le nombre entier le plus proche, sans les dÃ©cimales. Si votre solution est X = 3,9, il faut noircir le "0" de la premiÃ¨re ligne puis 
le "3" de la deuxiÃ¨me. Si votre solution est X = 12,2, il faut noircir le "1" de la premiÃ¨re ligne et le "2" de la seconde.}
 \AMCnumericChoices{5}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10e}
  Indiquez ci-dessous la solution trouvÃ©e pour Y.\\
 \small{Ne mettre que le nombre entier, sans les dÃ©cimales. Si votre solution est Y = 3.3, il faut noircir le "0" de la premiÃ¨re ligne puis le "3" de la 
deuxiÃ¨me. Si votre solution est Y = 11.8, il faut noircir le "1" de la premiÃ¨re ligne et le "1" de la seconde.}
 \AMCnumericChoices{2}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

\element{groupe10}{
 \begin{question}{q10f}
  Prouvez que les solutions trouvÃ©es correspondent bien Ã  un maximum. DÃ©taillez le calcul du dÃ©terminant de la matrice Hessienne.
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=10, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

\element{groupe10}{
 \begin{question}{q10g}
  Calculez l'utilitÃ© maximale obtenue Ã  l'optimum.
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}

06/29/2025 5/10



 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

QUESTION 3 : je crains que ce ne soit pas encore possible, mais sait-on jamais, est-il possible d'avoir un barÃ¨me plus prÃ©cis que les seules 
possibilitÃ©s "faux" "partiel" "bon" dans les questions ouvertes ? L'idÃ©al serait d'avoir 6 cases de 0 Ã  5 oÃ¹ l'on pourrait diffÃ©rencier une rÃ©ponse 
proche du faux d'une rÃ©ponse proche du correct.

En vous remerciant pour votre aide.

Nadir Altinok
 to Bonjour,
J'utilise AMC depuis janvier et cela fonctionne trÃ¨s bien pour le moment. Avec l'usage, je teste de nouvelles fonctionnalitÃ©s et je bloque sur les 3 
points suivants. J'ai un examen mardi prochain...

h3. QUESTION 1

Je voudrais insÃ©rer un delta dans une question, mais comme j'ignore le language latex, sans doute je me trompe. Voici la question :
<pre>
\element{groupe08}{

\begin{questionmult}{q08c}\bareme{p=-0.5,MAX=1}   
 Cocher les formules correctes (var signifie une variation absolue)
         \begin{reponses}
    \bonne{RT = P*Q}\bareme{b=0.25,m=-0.25}
    \bonne{Rm = \Delta RT/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{RT = \Delta Rm/ \Delta Q}\bareme{b=0.25,m=-0.25}
    \mauvaise{Rm = \Delta Q/ \Delta RT}\bareme{b=0.25,m=-0.25}
  \end{reponses}
 \end{questionmult}
}
</pre>

Pouvez-vous me dire pourquoi il y a une erreur dans la compilation du sujet ?

h3. QUESTION 2

Par ailleurs, j'ai un autre problÃ¨me. Je propose 5 variantes d'exercices pour de l'optimisation en Ã©conomie. Or, ce que je voudrais est de pouvoir 
avoir 5 questions pour chaque variante et que chaque sujet puisse choisir une seule variante. 
Dit autrement, supposons que j'ai 5 exercices Ã©quivalents X1, X2, X3, X4, X5. Dans chaque sujet, j'ai 6 questions ainsi, j'ai X1,1 X1,2 X1,3 X1,4 X1,5 
et X1,6 pour le premier sujet. Ainsi de suite pour chaque variante.
Savez-vous comment je pourrais faire pour qu'il n'y ait qu'une seule variante par sujet (donc qui reprendrait les 6 questions). 

Voici ci-dessous un exemple d'exercice :
<pre>
\element{groupe10}{
 \begin{question}{q10a}
  On suppose la fonction d'utilitÃ© suivante : S(X,Y)= (1+X)Y \\
Par ailleurs, le mÃ©nage s'alloue un budget de 50 euros pour les deux biens. \\
Les prix respectifs des biens 1 et 2 sont de 2 et 1 euros.\\
Ecrire ci-dessous le programme de maximisation du consommateur.
  \def\AMCotextReserved{\emph{RÃ©servÃ©-A}}
 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

 \element{groupe10}{
 \begin{question}{q10b}
  Ecrire ci-dessous l'Ã©quation de Lagrange
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{0.5}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}

 \element{groupe10}{
 \begin{question}{q10c}
  PrÃ©senter et rÃ©soudre les conditions de premier ordre. Bien mettre en Ã©vidence les dÃ©rivÃ©es partielles ainsi que la mÃ©thode de rÃ©solution 
du systÃ¨me. 
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=10, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10d}
  Indiquez ci-dessous la solution trouvÃ©e pour X.\\
 \small{Ne mettre que le nombre entier le plus proche, sans les dÃ©cimales. Si votre solution est X = 3,9, il faut noircir le "0" de la premiÃ¨re ligne puis 
le "3" de la deuxiÃ¨me. Si votre solution est X = 12,2, il faut noircir le "1" de la premiÃ¨re ligne et le "2" de la seconde.}
 \AMCnumericChoices{5}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

 
\element{groupe10}{
 \begin{questionmultx}{q10e}
  Indiquez ci-dessous la solution trouvÃ©e pour Y.\\
 \small{Ne mettre que le nombre entier, sans les dÃ©cimales. Si votre solution est Y = 3.3, il faut noircir le "0" de la premiÃ¨re ligne puis le "3" de la 
deuxiÃ¨me. Si votre solution est Y = 11.8, il faut noircir le "1" de la premiÃ¨re ligne et le "1" de la seconde.}
 \AMCnumericChoices{2}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}

   
\end{questionmultx}
}

\element{groupe10}{
 \begin{question}{q10f}
  Prouvez que les solutions trouvÃ©es correspondent bien Ã  un maximum. DÃ©taillez le calcul du dÃ©terminant de la matrice Hessienne.
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=10, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{2}}
   
\end{question}
}

\element{groupe10}{
 \begin{question}{q10g}
  Calculez l'utilitÃ© maximale obtenue Ã  l'optimum.
  \def\AMCotextReserved{\emph{RÃ©servÃ©}}
 \AMCOpen{lines=3, lineheight=0.5cm}{\wrongchoice[F]{f}\scoring{0}\wrongchoice[P]{p}\scoring{1}\correctchoice[J]{j}\scoring{1}}
   
\end{question}
}
</pre>

h3. QUESTION 3

je crains que ce ne soit pas encore possible, mais sait-on jamais, est-il possible d'avoir un barÃ¨me plus prÃ©cis que les seules possibilitÃ©s "faux" 
"partiel" "bon" dans les questions ouvertes ? L'idÃ©al serait d'avoir 6 cases de 0 Ã  5 oÃ¹ l'on pourrait diffÃ©rencier une rÃ©ponse proche du faux 
d'une rÃ©ponse proche du correct.

En vous remerciant pour votre aide.

Nadir Altinok

03/23/2013 11:02 am - Alexis Bienvenüe
h3. QUESTION 1

Les formules mathématiques doivent être entourées par des @$@, ou par le balisage @\(@ @\)@ en LaTeX (voir 
http://fr.wikibooks.org/wiki/LaTeX/Mathématiques):
<pre>
\bonne{$Rm = \Delta RT/ \Delta Q$}
</pre>
Les lettres grecques comme @\Delta$ ne sont disponibles qu'en mode mathématique, mais je pense que ce sera plus joli si vous utilisez ce mode 
aussi pour les formules qui ne contiennent pas de lettres grecques...

h3. QUESTION 2

Je ne suis pas sûr d'avoir compris ce que vous cherchez, mais peut-être trouverez-vous ce qu'il vous faut à la fin de la partie _Description des 
commandes LaTeX_ / _Groupes de questions_ de la documentation.

h3. QUESTION 3

Vous avez le contrôle total des cases qui sont affichées pour une question ouverte. Par exemple :

<pre>
\begin{question}{inflation}
  Donnez la d\’efinition de l’inflation.
  \AMCOpen{lines=5}{\wrongchoice[0]{0}\scoring{0}%
     \wrongchoice[1]{1}\scoring{1}%
     \wrongchoice[2]{2}\scoring{2}%
     \wrongchoice[3]{3}\scoring{3}%
     \wrongchoice[4]{4}\scoring{4}%
     \correctchoice[5]{5}\scoring{5}}
\end{question}

</pre>

03/23/2013 11:03 am - Alexis Bienvenüe
- Priority changed from Urgent to Normal

Par ailleurs : je pense que le "forum":http://project.auto-multiple-choice.net/projects/auto-multiple-choice/boards/4 est plus adapté à ce genre de 
discussions.

03/23/2013 11:04 am - Alexis Bienvenüe
- Tracker changed from Bug to Support

03/23/2013 11:12 am - Delesp ESPOIR
Merci pour votre réponse.

Pour la question 2, je veux par exemple faire un exercice mathématique mais où la fonction optimisée change selon 5 versions.
J'ai bien pensé faire l'usage des groupes.
Le problème est que la solution de l'équation change selon la fonction concernée.
Or, si je demande à AMC de choisir au hasard une fonction parmi d'autres en utilisant l'option 
@\melangegroupe{groupe09}\copygroup[1]{groupe09}{tout}@ (où @groupe09@ reprend les 5 sujets),
je me confronte à un problème par la suite lorsque je demande aux étudiants de noter la solution :

<pre>
\element{groupe10}{
 \begin{questionmultx}{q10d}
  Indiquez ci-dessous la solution trouvée pour X.\\
 \small{Ne mettre que le nombre entier le plus proche, sans les décimales. Si votre solution est X = 3,9, il faut noircir le "0" de la première ligne puis le 
"3" de la deuxième. Si votre solution est X = 12,2, il faut noircir le "1" de la première ligne et le "2" de la seconde.}
 \AMCnumericChoices{5}{digits=2,decimals=0,sign=false, backgroundcol=lightgray,approx=0}
 \AMCnumericOpts{scoring=true,scoreexact=1,borderwidth=2pt}
\end{questionmultx}
}
</pre>

Comme la solution change selon la fonction, je ne vois pas comment faire. Par exemple, ici la solution pour X est égale à 5 si j'ai bien compris la 
logique d'AMC.

Du coup j'ai pensé à la solution suivante :

- faire un groupe de questions par équation en incluant la question 10 ci-dessus et en mettant la solution adéquate
- demander à AMC de ne prendre qu'un seul groupe de questions parmi les différentes équations que j'ai préparées.

Je sais qu'AMC peut choisir un nombre de questions dans un groupe, mélanger les questions à l'intérieur d'un groupe, mais comment faire si l'on veut 
qu'AMC choisisse aléatoirement un groupe particulier de questions sans changer l'ordre PARMI 6 DIFFERENTS GROUPES.

La seule solution que j'ai trouvé est de faire 6 fichiers AMC différents avec chaque fonction...

J'espère avoir été compris.

OK la prochaine fois je me tourne vers le forum!

Cordialement,
Nadir Altinok

03/23/2013 12:43 pm - Alexis Bienvenüe
Peut-être pouvez-vous faire en sorte que le sujet choisi dans le groupe indique les résultats aux questions qui vont venir, grâce à des commandes 
comme @\global\def\reponseX{5}@. Ensuite, on peut retrouver cette valeur en utilisant @\reponseX@ (à la place du 5 en premier argument de 
@\AMCnumericChoices@).

03/23/2013 07:47 pm - Delesp ESPOIR
Bonjour,
Merci pour le conseil, je confirme que cela fonctionne. 
Il faut définitivement se mettre au latex si l'on veut faire ce que l'on veut !
Bon courage pour le développement de ce logiciel très puissant !
Cordialement,
Nadir Altinok

03/23/2013 07:55 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed
